Package org.apache.jmeter.report.config

# Class SubConfiguration

java.lang.Object
org.apache.jmeter.report.config.SubConfiguration

Direct Known Subclasses:
  `InstanceConfiguration`

public class SubConfiguration extends Object
The class SubConfiguration describes a sub configuration item

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Map<String,String>`
  `getProperties()`
  Gets the properties of the item.
  `final <TProperty>
  TProperty`
  `getProperty(String key, TProperty defaultValue, Class<TProperty> clazz)`
  Gets the value of the specified property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubConfiguration

    public SubConfiguration()

- ## Method Details

  - ### getProperties

    public final Map<String,String> getProperties()
    Gets the properties of the item.
    Returns:
      the properties of the item

  - ### getProperty

    public final <TProperty> TProperty getProperty(String key, TProperty defaultValue, Class<TProperty> clazz) throws ConfigurationException
    Gets the value of the specified property.
    Type Parameters:
      `TProperty` - the type of the property
    Parameters:
      `key` - the key identifier of the property
      `defaultValue` - the default value of the property
      `clazz` - the class of the property
    Returns:
      the value of property if found; defaultValue otherwise
    Throws:
      `ConfigurationException` - if cannot convert property